# Gyroscopesensor

Non-visible component that can measure angular velocity in three dimensions in units of degrees per second.

In order to function, the component must have its Enabled property set to True, and the device must have a gyroscope sensor.

## Properties

### Available

Indicates whether a gyroscope sensor is available.

### Enabled

If enabled, then sensor events will be generated and XAngularVelocity, YAngularVelocity, and ZAngularVelocity properties will have meaningful values.

### XAngularVelocity

The angular velocity around the X axis, in degrees per second.

### YAngularVelocity

The angular velocity around the Y axis, in degrees per second.

### ZAngularVelocity

The angular velocity around the Z axis, in degrees per second.

## Events

### GyroscopeChanged(number xAngularVelocity, number yAngularVelocity, number zAngularVelocity, number timestamp)

Indicates that the gyroscope sensor data has changed. The timestamp parameter is the time in nanoseconds at which the event occurred.

## Methods

none


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.appybuilder.com/components/reference/sensors/gyroscopesensor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
